<?php

namespace Litecms\TicketSystem\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TicketSystemTransformer extends TransformerAbstract
{
    public function transform(\Litecms\TicketSystem\Models\TicketSystem $ticket_system)
    {
        return [
            'id'                => $ticket_system->getRouteKey(),
            'key'               => [
                'public'    => $ticket_system->getPublicKey(),
                'route'     => $ticket_system->getRouteKey(),
            ], 
            'bus_id'            => $ticket_system->bus_id,
            'journey_date'      => $ticket_system->journey_date,
            'ticket_seats'      => $ticket_system->ticket_seats,
            'user_id'           => $ticket_system->user_id,
            'user_type'         => $ticket_system->user_type,
            'url'               => [
                'public'    => trans_url('ticket_system/'.$ticket_system->getPublicKey()),
                'user'      => guard_url('ticket_system/ticket_system/'.$ticket_system->getRouteKey()),
            ], 
            'status'            => trans('app.'.$ticket_system->status),
            'created_at'        => format_date($ticket_system->created_at),
            'updated_at'        => format_date($ticket_system->updated_at),
        ];
    }
}