<?php

namespace Litecms\TicketSystem;

use User;

class TicketSystem
{
    /**
     * $ticket_system object.
     */
    protected $ticket_system;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\TicketSystem\Interfaces\TicketSystemRepositoryInterface $ticket_system)
    {
        $this->ticket_system = $ticket_system;
    }

    /**
     * Returns count of ticket_system.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.ticket_system.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->ticket_system->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\TicketSystemUserCriteria());
        }

        $ticket_system = $this->ticket_system->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('ticket_system::' . $view, compact('ticket_system'))->render();
    }
}
